org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.TEXTAREA

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Content, HamletSpec._RawContent, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs, HamletSpec.PCData
  All Known Implementing Classes:
    Hamlet.TEXTAREA
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.TEXTAREA
      extends HamletSpec.Attrs, HamletSpec.PCData, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.TEXTAREA` | `$accesskey(String cdata)` accessibility key character
    `HamletSpec.TEXTAREA` | `$cols(int cols)` visible columns
    `HamletSpec.TEXTAREA` | `$disabled()` unavailable in this context
    `HamletSpec.TEXTAREA` | `$name(String cdata)` variable name for the text
    `HamletSpec.TEXTAREA` | `$onblur(String script)` the element lost the focus
    `HamletSpec.TEXTAREA` | `$onchange(String script)` the element value was changed
    `HamletSpec.TEXTAREA` | `$onfocus(String script)` the element got the focus
    `HamletSpec.TEXTAREA` | `$onselect(String script)` some text was selected
    `HamletSpec.TEXTAREA` | `$readonly()` text is readonly
    `HamletSpec.TEXTAREA` | `$rows(int rows)` visible rows
    `HamletSpec.TEXTAREA` | `$tabindex(int index)` position in tabbing order

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._RawContent

      `_r`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### $name

          HamletSpec.TEXTAREA $name(String cdata)

      variable name for the text
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $rows

          HamletSpec.TEXTAREA $rows(int rows)

      visible rows
      Parameters:
        `rows` -
      Returns:
        the current element builder

    - #### $cols

          HamletSpec.TEXTAREA $cols(int cols)

      visible columns
      Parameters:
        `cols` -
      Returns:
        the current element builder

    - #### $disabled

          HamletSpec.TEXTAREA $disabled()

      unavailable in this context
      Returns:
        the current element builder

    - #### $readonly

          HamletSpec.TEXTAREA $readonly()

      text is readonly
      Returns:
        the current element builder

    - #### $tabindex

          HamletSpec.TEXTAREA $tabindex(int index)

      position in tabbing order
      Parameters:
        `index` -
      Returns:
        the current element builder

    - #### $accesskey

          HamletSpec.TEXTAREA $accesskey(String cdata)

      accessibility key character
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $onfocus

          HamletSpec.TEXTAREA $onfocus(String script)

      the element got the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onblur

          HamletSpec.TEXTAREA $onblur(String script)

      the element lost the focus
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onselect

          HamletSpec.TEXTAREA $onselect(String script)

      some text was selected
      Parameters:
        `script` -
      Returns:
        the current element builder

    - #### $onchange

          HamletSpec.TEXTAREA $onchange(String script)

      the element value was changed
      Parameters:
        `script` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.